from PIL import Image

"""
Ce script va modifier le codage de chaque pixel d'une image afin de produire
un négatif des couleurs
"""
#Charge le fichier de l'image dans la variable image1
image1=Image.open('couleurs.jpg')
image1.show() #Affichage de l'image
#Affecte aux variables width et height la largeur et la hauteur de l'image (en nb de pixels)
width= image1.size[0]   
height=image1.size[1]   
#Ces deux boucles for parcourent tous les pixels de l'image ligne par ligne
for x in range(height):
    for y in range(width):
        R=image1.getpixel((x,y))[0]  #R codage du rouge du pixel en (x,y)
        V=image1.getpixel((x,y))[1]  #V codage du vert du pixel en (x,y)
        B=image1.getpixel((x,y))[2]  #B codage du bleu du pixel en (x,y)
        #On modifie les valeurs RVB
        R=(R//3)
        V=int(V/3)
        B=int(B/3)
        #On écrase les données RVB du pixel avec ces nouvelles valeurs 
        image1.putpixel((x,y),(R,V,B)) 

image1.show()   #Affichage de l'image retravaillée
